
  /* --------------------------------- */
/* Fonts --------------------------- */
/* --------------------------------- */
.lato-thin {
    font-family: "Lato", sans-serif;
    font-weight: 100;
    font-style: normal;
  }
  
  .lato-light {
    font-family: "Lato", sans-serif;
    font-weight: 300;
    font-style: normal;
  }
  
  .lato-regular {
    font-family: "Lato", sans-serif;
    font-weight: 400;
    font-style: normal;
  }
  
  .lato-bold {
    font-family: "Lato", sans-serif;
    font-weight: 700;
    font-style: normal;
  }
  
  .lato-black {
    font-family: "Lato", sans-serif;
    font-weight: 900;
    font-style: normal;
  }
  
  .lato-thin-italic {
    font-family: "Lato", sans-serif;
    font-weight: 100;
    font-style: italic;
  }
  
  .lato-light-italic {
    font-family: "Lato", sans-serif;
    font-weight: 300;
    font-style: italic;
  }
  
  .lato-regular-italic {
    font-family: "Lato", sans-serif;
    font-weight: 400;
    font-style: italic;
  }
  
  .lato-bold-italic {
    font-family: "Lato", sans-serif;
    font-weight: 700;
    font-style: italic;
  }
  
  .lato-black-italic {
    font-family: "Lato", sans-serif;
    font-weight: 900;
    font-style: italic;
  }

  body {
    padding: 0;
    margin: 0;
    background-color: #2b0100;
    font-size: 14px;
    font-family: "Lato", sans-serif;
    font-weight: 400;
    font-style: normal;
    color: black;
  }


  .background {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    overflow: hidden;
}

.background video {
    position: absolute;
    top: 50%;
    left: 50%;
    min-width: 100%;
    min-height: 100%;
    width: auto;
    height: auto;
    transform: translate(-50%, -50%);
    z-index: -1;
    object-fit: cover;
}

.logo {
    position: absolute;
    top: 10%;
    width: 250px;
}

.logo img {
    width: 100%;
}

.btn-grup {
    display: flex;
    justify-content: space-between;
    gap: 10px;
}

.h_title {
    font-size: 1.5rem;
    font-weight: 700;
    text-align: center;
    color: #fff;
    margin: 13px 0;
}

/* Global Settings */
.middle, #form {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    min-height: 100vh;
    flex-direction: column;
    flex-wrap: wrap;
    gap: 50px;
    
}

.mid-container {
    width: 533px;
    max-width: 100%;
    border-radius: 15px;
    padding: 30px 15px;
    box-sizing: border-box;
    background-color: rgb(255 255 255 / 61%);
    backdrop-filter: blur(10px);

}

#screen_1 {
    margin-top:70px;
}

/* Footer */
footer {
    display: flex;
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    background-color: rgba(255, 255, 255, 0.21);
    backdrop-filter: blur(10px);
    color: white;
    padding: 15px;
    font-size: 13px;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    align-content: center;
}

.right {
    text-align: right;
    gap: 10px;
    display: flex;
    justify-content: flex-end;
    flex-wrap: wrap;
}

.right a {
    color: #fff;
    display: flex;
}
.screens {
    position: absolute;
    display: none;
    top: calc(10% + 200px);
    max-width: calc(100% - 40px);
   
}

.screens::after {
    content: "";
    position: absolute;
    height: 100px;
    width: 100%;
    left: 0;
    z-index: -1;
    top: 100%;
}

.screens .withInput{
    margin-top:15px;
}
.screens div:first-child {
    margin-top:0;
}




/* Button 3 */

.toggle-button-cover {
  display: block;
  position: relative;
  width: 75px;
  height: 40px;
  box-sizing: border-box;
}

.button-cover,
.knobs,
.layer {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

.button {
  position: relative;
  width: 74px;
  height: 36px;
  overflow: hidden;
}

.button.r,
.button.r .layer {
  border-radius: 100px;
  background-color: #fff;
  display: flex;
    gap: 3px;
    padding: 2px 4px;
}

.checkbox {
  position: relative;
  width: 100%;
  height: 100%;
  padding: 0;
  margin: 0;
  opacity: 0;
  cursor: pointer;
  z-index: 3;
}

.knobs {
  z-index: 2;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 5px;
  font-size: 10px;
  font-weight: bold;
  color: #fff;
}

.knobs:before {
  position: absolute;
  width: 33px;
  height: 33px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  transition: 0.3s ease all;
  background-color: rgb(88, 180, 255); /* Başlangıçta her iki seçenek de gri */
}
.knobs:after {
  position: absolute;
  width: 33px;
  height: 33px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  transition: 0.3s ease all;
  background-color: rgb(200, 200, 200); /* Başlangıçta her iki seçenek de gri */
}

.knobs:before {
  content: "Evet";
  left: 3px;
}

.knobs:after {
  content: "Hayır";
  right: 3px;
}

.layer {
  width: 100%;
  background-color: transparent; /* Arka plan şeffaf olacak */
  transition: 0.3s ease all;
  z-index: 1;
}

/* Checkbox checked ise Hayır kırmızı, Evet gri */
.button-3 .checkbox:checked + .knobs:after {
  background-color: #e9564b;
}

.button-3 .checkbox:checked + .knobs:before {
  background-color: #0dafff;
}

/* Checkbox checked değilse, yani başlangıçta, her iki seçenek de gri */
.button-3 .checkbox:not(:checked) + .knobs:before {
  background-color: #f44336; /* Evet seçili */
}

.button-3 .checkbox:not(:checked) + .knobs:after {
  background-color: #cdcdcd;
}

.evet, .hayir{
  width: 33px;
    height: 33px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    transition: 0.3s ease all;
    background-color: rgb(228, 228, 228);
    font-size: 10px;
    color:#9d9d9d;
    cursor:pointer;
    opacity: .7;
}
.evet.active{
  background-color: rgb(57 110 253);
  color:#fff;
  opacity: 1;
}
.hayir.active{
  background-color: #363636;
  color:#fff;
  opacity: 1;
}

.selected-items {
    list-style-type: none;
    padding: 0;
    margin-top: 15px;
}

.selected-items li {
    display: inline-block;
    margin: 5px;
    background-color: #05a9f4;
    padding: 5px 13px;
    border-radius: 5px;
    position: relative;
    color: white;
}

.selected-items li .remove-item {
    cursor: pointer;
    position: absolute;
    right: -6px;
    top: -6px;
    background-color: #098dca;
    border-radius: 40px;
    font-size: 17px;
    line-height: 20px;
    padding: 0px 5px;
}
.multiple-select{
    border: 1px solid #05a9f4;
    border-radius: 9px;
    padding: 10px;
}
.multiple-select option{
    padding: 3px;
    font-weight: 300;
}

.multiple-select option::selection{
    background-color: #05a9f4;
    color: white;
}

.question{
    background-color: #ff3231;
    color: white;
    padding: 8px;
    border-radius: 9px;
}
.subquestion{
    background-color: #01a9f4;
    color: white;
    padding: 8px;
    border-radius: 9px;
}
#country_content, #country_content2, #document_content, #site_content, #site_content2, #global_content,#digital_content{
    display: none;
    opacity: 0;
    flex-wrap: wrap;
    flex-direction: column;
    padding: 0;
    margin-top:10px;
}
#countries, #countries2{
    height: 155px;
    max-width: 100%;
}
.withInput{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
}
.d_content{
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: wrap;
    width: 100%;
    box-sizing: border-box;
    align-content: flex-start;
    margin: 0;
}
.documentItem{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
    padding: 5px;
    cursor: pointer;
    flex-direction: column;
    transition: .2s ease all;

}
.documentItem:hover img{
   filter:brightness(1.2);
   border: 1px solid #ff0000;
   box-shadow: 0px 0px 7px 0px #ff0000;
}
.selectedCard img{
    border: 2px solid #ff0000;
    box-shadow: 0px 0px 7px 0px #ff0000;
}
.documentItem img{
    width: 100%;
    transition: .1s ease all;
    overflow: hidden;
    border-radius: 7px;
}
.documentItem p{
    font-size: 13px;
    font-weight: 300;
    text-align: center;
    margin: 0;
}
.next-prev{
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 10px;
    margin-top: 30px;
}
.form-floating{
    padding: 0;
    margin: 0;
}

.file_import{
    display: flex;
    position: relative;
    width: 100px;
    height: 100px;
    padding: 0;
}

.product_image{
    width: 100px;
    height: 100px;
    object-fit: cover;
    border-radius: 7px;
    background-size: cover;
    background-color: white;
    background-position: center;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    font-size: 12px;
    font-weight: 300;
}
.product_name, .product_name2{
    width: 100%;
    padding: 0;
    height: 100px;
    position: relative;
    display: flex;
}

.product-list{
    position: absolute;
    width: 98%;
    max-height: 150px;
    overflow-y: auto;
    z-index: 10;
    margin-top: 68px;
}
.product-detail{
    margin: 10px 0 0;
    padding: 0;
    flex-wrap: wrap;
    display: flex;
    gap:5px;
    justify-content: flex-start;
    align-items: flex-end;
}
.product-detail .form-floating label{
    font-size: 12px;
    font-weight: 300;
    color: #000;
}
.price{
width: 100%;
}
.target{
  width: calc(100% - 141px);
}
.unit{
    width: 89px;
}
.setting{
    width: 40px;
    padding: 0;
    height: 58px;
}
.setting .btn{
    height: 58px;
}
.gtip_search::placeholder{
    color: #000;
    font-size: 12px;
    font-weight: 300;
}
.list-group-item{
    font-size: 12px;
}
.butonlar{
  gap:5px;
  padding: 0;
  justify-content: space-between;
}
/* Ekran Yükleniyor Animasyonu */
#loading-screen {
  display: none ; /* Başlangıçta gizli */
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7); /* Ekranı karartma */
  z-index: 9999; /* Üstte görünmesi için yüksek bir z-index */
  justify-content: center;
  align-items: center;
}

/* Dönen yükleniyor animasyonu */
#loading-animation {
  border: 8px solid #f3f3f3; /* Açık renkli çerçeve */
  border-top: 8px solid #3498db; /* Mavi çerçeve */
  border-radius: 50%;
  width: 50px;
  height: 50px;
  animation: spinScreen 1s linear infinite; /* Yeni animasyon adı */
}

@keyframes spinScreen {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

/* Buton Yükleniyor Animasyonu */
.loading {
  position: relative;
  padding-right: 30px;
}

.loading::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 10px;
  width: 16px;
  height: 16px;
  margin-top: -8px;
  border-radius: 50%;
  border: 2px solid #fff;
  border-top: 2px solid #007bff;
  animation: spinButton 0.8s linear infinite; /* Buton animasyonu için ayrı bir animasyon adı */
}

@keyframes spinButton {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

